Flashage

Flasher le module RF interne

Article modifié par LapinFou en Septembre 2019.

Cette procédure fonctionne uniquement sur les radios utilisant OpenTX 2.x (ou supérieur).
Si votre Taranis X9D est encore sous OpenTX 1.x, alors il faut suivre ce tuto → Passer d'OpenTX 1.x à OpenTX 2.x.
La radio X-Lite utilisent un module interne RF iXJT.
Les radios X-Lite S et X-Lite Pro utilisent un module interne RF ISRM (nouveau protocole ACCESS).
Veuillez choisir le bon dossier suivant le modèle de votre X-Lite.
Les Taranis X9D+ SE 2019 et X9 Lite ainsi que les Horus X10(S) Express utilisent un module interne RF ISRM (nouveau protocole ACCESS).
Veuillez choisir le bon dossier (/ACCESS/ISRM) !
Pour les Horus X10(S) et X12 il est maintenant possible de mettre à jour le module interne RF iXJT depuis OpenTX 2.3.
:warn Ces firmware n'étant pas officiellement disponibles, vous les trouverez uniquement sur mes packs SD OpenTX 2.3 (ou supérieur).
Si vous êtes bien sous OpenTX 2.3, alors vous pouvez suivre la procédure ci-dessous à la différence près qu'il faut choisir le dossier iXJT au lieu du dossier XJT.
Pour les possesseurs d'Horus X10 et X12 sous OpenTX 2.2 et ne souhaitant pas migrer vers OpenTX 2.3, la seule façon de mettre à jour le module interne RF iXJT est de passer par une mise à jour FrOS. Il faut suivre ce tuto → Flasher une Horus.

Récupérer le pack SD


Il faut récupérer le pack SD ici → Accueil / OpenTx / Packs carte SD

Si vous avez une radio supportant le nouveau protocole ACCESS, alors il faut choisir le dossier /FIRMWARE/ACCESS/ISRM
Si vous avez une radio Horus (pas "Express") ou une X-Lite (pas "S", ni "Pro"), alors il faut choisir le dossier /FIRMWARE/FCC/iXJT ou /FIRMWARE/LBT/iXJT

Il faut choisir le dossier suivant la norme souhaités: FCC (aussi nommé protocole non-EU) ou LBT ( aussi nommé protocole EU-LBT).
Ci-dessous un exemple où trouver le firmware pour le protocole LBT:

wiki_flasher_module_rf_01

Mettre à jour le module RF


Démarrer votre radio normalement, puis naviguer sur la carte SD.
  1. Aller dans le dossier FIRMWARE, puis aller dans le protocole voulu (FCC ou LBT) et descendez dans le sous-dossier XJT, ce qui donne:
    - appui long sur le bouton MENU,
    - un appui court sur le bouton PAGE pour accéder au navigateur de la carte SD,
    - sélectionner le dossier FIRMWARE avec un appui court sur le bouton ENT,
    - etc. pour descendre jusqu'au firmware voulu.

    Si vous avez une radio supportant le nouveau protocole ACCESS, alors il faut choisir le dossier /FIRMWARE/ACCESS/ISRM
    Si vous avez une radio Horus (pas "Express") ou une X-Lite (pas "S", ni "Pro"), alors il faut choisir le dossier /FIRMWARE/FCC/iXJT ou /FIRMWARE/LBT/iXJT
    wiki_flasher_module_rf_02
  2. Un appui long sur le bouton ENT permet d'afficher le menu pour mettre à jour le module RF (aussi nommé module XJT).
    Il est impératif de bien choisir module "Flasher module interne".
    wiki_flasher_module_rf_03
  3. Pour finir, un appui long sur le bouton ENT permet de lancer la procédure de mise à jour:
    wiki_flasher_module_rf_04

Uniquement pour les possesseurs des toutes premières X9D+


Les 1ères versions des Taranis X9D+ (notez le "Plus") ont un RAS non fonctionnel (anciennement mal nommé SWR).
Le firmware XJT livré avec ces X9D+ est une version modifiée où le RAS est forcé à 0.
Hors, les derniers firmwares XJT ne tiennent pas compte de ce problème impactant ce lot particulier de X9D+.
Si vous êtes concerné, après la mise à jour de votre module RF, vous aller avoir un message d'alerte indiquant que votre antenne est défectueuse !

Bien heureusement l'équipe OpenTX a tout prévu. Il existe une option de compilation nommée "noras".
Plus d'infos ici → Options de compilation
Cette option force le RAS a être à 0 en permanence quelque soit le firmware XJT.
Dorénavant, il faudra flasher systématiquement votre X9D+ (ayant un RAS non fonctionnel) avec cette option "noras".

Conclusion


Et voilà, c'est fini !
Votre module RF interne est à jour.
Il est important de noter que, comme pour les RXs, il est impossible de savoir quelle version du firmware est installé.
La seule façon d'être sûr, c'est de flasher vous-même le module. Là, vous serez sûr à 100%. :)

Une dernière remarque:
Lors d'une mise à jour simple de FCC FCC ou de LBT LBT, il n'est pas nécessaire de refaire le bind avec vos RX.
Par contre si vous passez de la 1ère version EU (celle qui est moisie) à la dernière version LBT, alors il faut refaire le bind et mettre à jour le firmware de vos RXs. Plus d'infos sur les normes ici → Normes ETSI: FCC Vs. (EU-)LBT

:lapinfou
Cette page a été vue 893 fois